## org.apache.http.impl.nio
Class DefaultNHttpServerConnectionFactory

    java.lang.Object
      org.apache.http.impl.nio.DefaultNHttpServerConnectionFactory

All Implemented Interfaces:
  NHttpConnectionFactory<DefaultNHttpServerConnection>

    @Immutable
    public class DefaultNHttpServerConnectionFactory

extends Object
implements NHttpConnectionFactory<DefaultNHttpServerConnection>

Factory for plain (non-encrypted), non-blocking `NHttpServerConnection`s.

The following parameters can be used to customize the behavior of this class:

- `CoreProtocolPNames.HTTP_ELEMENT_CHARSET`
- `CoreConnectionPNames.SO_TIMEOUT`
- `CoreConnectionPNames.SOCKET_BUFFER_SIZE`
- `CoreConnectionPNames.MAX_HEADER_COUNT`
- `CoreConnectionPNames.MAX_LINE_LENGTH`

Since:
  4.2

Constructor Summary
`DefaultNHttpServerConnectionFactory(HttpParams params)`
`DefaultNHttpServerConnectionFactory(HttpRequestFactory requestFactory, ByteBufferAllocator allocator, HttpParams params)`

Method Summary
`DefaultNHttpServerConnection` `createConnection(IOSession session)`
`protected DefaultNHttpServerConnection` `createConnection(IOSession session, HttpRequestFactory requestFactory, ByteBufferAllocator allocator, HttpParams params)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultNHttpServerConnectionFactory

    public DefaultNHttpServerConnectionFactory(HttpRequestFactory requestFactory,
                                               ByteBufferAllocator allocator,
                                               HttpParams params)

### DefaultNHttpServerConnectionFactory

    public DefaultNHttpServerConnectionFactory(HttpParams params)

Method Detail

### createConnection

    protected DefaultNHttpServerConnection createConnection(IOSession session,
                                                            HttpRequestFactory requestFactory,
                                                            ByteBufferAllocator allocator,
                                                            HttpParams params)

### createConnection

    public DefaultNHttpServerConnection createConnection(IOSession session)

  Specified by:
    `createConnection` in interface `NHttpConnectionFactory<DefaultNHttpServerConnection>`

Copyright © 2005-2013 The Apache Software Foundation. All Rights Reserved.